Bug 1294630 - Typing invalid value under <tenant_id> argument in quota-show CLI does not generate an error message
Typing invalid value under <tenant_id> argument in quota-show CLI does not ge...
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
x86_64 Linux
unspecified Severity unspecified
: ---
: 7.0 (Kilo)
Assigned To: Eric Harney
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 06:15 EST by lkuchlan
Modified: 2018-02-08 06:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-02 10:58:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lkuchlan 2015-12-29 06:15:54 EST
Description of problem:
Typing invalid value under <tenant_id> argument in quota-show CLI does not generate an error message

Version-Release number of selected component (if applicable):
openstack-cinder-2015.1.2-5.el7ost.noarch
python-cinder-2015.1.2-5.el7ost.noarch
python-cinderclient-1.2.1-1.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Show the lists quotas for a tenant while typing invalid value under <tenant_id> argument: cinder quota-show <invalid-value>

Actual results:
Show the default quotas for a tenant

Expected results:
Should be an error message
Comment 2 Sergey Gotliv 2016-01-02 10:58:57 EST
It's fixed in RHEL OSP 8.0 (liberty). I am using:

python-cinderclient-1.4.0-1.el7.noarch
openstack-cinder-7.0.0-1.el7.noarch
python-cinder-7.0.0-1.el7.noarch

and get the error if tenant id is wrong:

[root@localhost ~(keystone_admin)]# cinder quota-show 1
ERROR: Tenant ID: 1 does not exist. (HTTP 404) (Request-ID: req-a7298c5b-f57d-4525-a786-1d3403f13317)

I don't think we need to backport solution for this minor issue to 7.0.
Comment 4 Dave Maley 2016-03-04 14:21:39 EST
(In reply to Jeremy from comment #3)
> Is it possible to backport this to rhos6.0?

As the request to backport to osp7 was denied (comment 2) it will also not be backported to osp6.

Note You need to log in before you can comment on or make changes to this bug.